import subprocess as s
import dbus

class CDC:
    def __init__(self):
        self.systembus = dbus.SystemBus()
        systemd1 = self.systembus.get_object('org.freedesktop.systemd1','/org/freedesktop/systemd1')
        self.systemdmanager =  dbus.Interface(systemd1, 'org.freedesktop.systemd1.Manager')
    #def __init__
    
    def startup(self,options):

        try:
            if "ENABLE_CDC" in objects["VariablesManager"].variables:
                del(objects["VariablesManager"].variables["ENABLE_CDC"])
            if objects["VariablesManager"].get_variable("ENABLE_CDC"):
                p = s.Popen(["cdccli","-e"],stdout=s.PIPE, stderr=s.PIPE)
                p.communicate()
                self.systemdmanager.ReloadOrRestartUnit('sssd.service','replace')
            else:
                p = s.Popen(["cdccli","-d"],stdout=s.PIPE, stderr=s.PIPE)
                p.communicate()
                self.systemdmanager.ReloadOrRestartUnit('sssd.service','replace')

        except Exception:
            pass

        return [True,True]
    
    #def startup(self):

#class CDC
